---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "edge Provider"
subcategory: ""
description: |-
  The Edge provider provides the ability to configure a Ubiquiti Edge device.
  ~> You must use -parallelism=1 on all destroy and apply operations because the EdgeOS configuration API is not safe for concurrent use.
---

# edge Provider

The Edge provider provides the ability to configure a Ubiquiti Edge device.

~> You must use `-parallelism=1` on all `destroy` and `apply` operations because the EdgeOS configuration API is not safe for concurrent use.

## Example Usage

```terraform
provider "edge" {
	username = var.username # optionally use EDGE_USERNAME env var
	password = var.password # optionally use EDGE_PASSWORD env var
	host  	 = var.host     # optionally use EDGE_HOST env var
	insecure = var.insecure # optionally use EDGE_INSECURE env var
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Optional

- **host** (String) Edge router URL. Can be set with `EDGE_HOST`.
- **insecure** (Boolean) Specify if the connection to the Edge configuration API should be insecure. Can be set with `EDGE_INSECURE`.
- **password** (String, Sensitive) Admin password. Can be set with `EDGE_PASSWORD`.
- **username** (String) Admin username. Can be set with `EDGE_USERNAME`.
