---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "edge_firewall_address_group Resource - terraform-provider-edge"
subcategory: ""
description: |-
  A logical grouping of addresses.
---

# edge_firewall_address_group (Resource)

A logical grouping of addresses.

## Example Usage

```terraform
resource "edge_firewall_address_group" "example" {
    name        = "example"
    description = "example address group"

    cidrs = [
        "192.168.2.1",
        "192.168.3.0/24"
    ]
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **name** (String) A unique, human readable name for this address group.

### Optional

- **cidrs** (List of String) A non-overlapping list of cidrs.
- **description** (String) A human readable description for this address group.


