---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "edge_firewall_port_group Resource - terraform-provider-edge"
subcategory: ""
description: |-
  A logical grouping of ports.
---

# edge_firewall_port_group (Resource)

A logical grouping of ports.

## Example Usage

```terraform
resource "edge_firewall_port_group" "example" {
  name        = "example"
  description = "example port group"

  port_ranges = [{
      from = 80
      to   = 90
    }, {
      from = 30000
      to   = 32000
  }]

  ports = [443, 22, 636]
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **name** (String) A unique, human readable name for this port group.

### Optional

- **description** (String) A human readable description for this port group.
- **port_ranges** (Attributes List) A list of port ranges. (see [below for nested schema](#nestedatt--port_ranges))
- **ports** (List of Number) A list of port numbers.

<a id="nestedatt--port_ranges"></a>
### Nested Schema for `port_ranges`

Optional:

- **from** (Number)
- **to** (Number)


