---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "edge_firewall_ruleset_attachment Resource - terraform-provider-edge"
subcategory: ""
description: |-
  Attach a firewall ruleset to inbound, outbound, and local traffic.
---

# edge_firewall_ruleset_attachment (Resource)

Attach a firewall ruleset to inbound, outbound, and local traffic.

## Example Usage

```terraform
data "edge_interface_ethernet" "eth3" {
  id = "eth3"
}

data "edge_firewall_ruleset" "ssh" {
  name = "ssh"
}

resource "edge_firewall_ruleset_attachment" "foo" {
  interface = data.edge_interface_ethernet.eth3.id 
  in        = data.edge_firewall_ruleset.ssh.name
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **interface** (String) The interface to attach firewall rules to.

### Optional

- **in** (String) Match inbound packets.
- **local** (String) Match local packets.
- **out** (String) Match outbound packets.


